TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RunHookWithArg ( list hook, any arg )

### Description

<shortdoc> Run each function of the list `hook' with `arg' as argument.
This is unlike Mapc which takes _one_ function which acts on a list of arguments. </shortdoc>

### Examples

RunHookWithArg([i->i*2, i->i*3, i->i*4],2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack